[SIP Beyond VoIP] 64 bit Debian install problems

Adrian Georgescu ag at ag-projects.com
Fri Sep 7 00:55:05 CEST 2012


We prepared the changelogs but the package building and upload is still in progress.

Just wait a bit.

Adrian

On Sep 7, 2012, at 12:35 AM, Owen Lynch wrote:

> I have installed the SIP SIMPLE Client SDK from Debian packages per the wiki, but the commands fail due to a missing 'presdm' payload module:
> 
> owenl at debianvm1:~$ sip-publish-presence
> using set_wakeup_fd
> Traceback (most recent call last):
>   File "/usr/bin/sip-publish-presence", line 34, in <module>
>     from sipsimple.payloads.presdm import Contact, Device, DeviceNote, DeviceTimestamp, Person, PersonNote, PersonTimestamp, PIDF, Service, ServiceTimestamp, Status
> ImportError: No module named presdm
> 
> I see that there is a new release (0.30) but after apt-get update I still get the old versions installed. Is this a problem with the 64 bit package? My install log:
> 
> owenl at debianvm1:~/sipsimpleclient/python-sipsimple/docs$ sudo apt-get install python-sipsimple
> Reading package lists... Done
> Building dependency tree       
> Reading state information... Done
> The following extra packages will be installed:
>   libavahi-compat-libdnssd1 python-backports python-eventlet-0.8 python-greenlet python-msrplib python-xcaplib
> The following NEW packages will be installed:
>   libavahi-compat-libdnssd1 python-backports python-eventlet-0.8 python-greenlet python-msrplib python-sipsimple
>   python-xcaplib
> 0 upgraded, 7 newly installed, 0 to remove and 2 not upgraded.
> Need to get 0 B/1,768 kB of archives.
> After this operation, 6,726 kB of additional disk space will be used.
> Do you want to continue [Y/n]? y
> Selecting previously deselected package libavahi-compat-libdnssd1.
> (Reading database ... 137374 files and directories currently installed.)
> Unpacking libavahi-compat-libdnssd1 (from .../libavahi-compat-libdnssd1_0.6.27-2+squeeze1_amd64.deb) ...
> Selecting previously deselected package python-backports.
> Unpacking python-backports (from .../python-backports_1.0.0squeeze_all.deb) ...
> Selecting previously deselected package python-greenlet.
> Unpacking python-greenlet (from .../python-greenlet_0.4.1squeeze_amd64.deb) ...
> Selecting previously deselected package python-eventlet-0.8.
> Unpacking python-eventlet-0.8 (from .../python-eventlet-0.8_0.8.11.7squeeze_all.deb) ...
> Selecting previously deselected package python-msrplib.
> Unpacking python-msrplib (from .../python-msrplib_0.14.4squeeze_all.deb) ...
> Selecting previously deselected package python-xcaplib.
> Unpacking python-xcaplib (from .../python-xcaplib_1.0.16squeeze_all.deb) ...
> Selecting previously deselected package python-sipsimple.
> Unpacking python-sipsimple (from .../python-sipsimple_0.20.0squeeze_amd64.deb) ...
> Setting up libavahi-compat-libdnssd1 (0.6.27-2+squeeze1) ...
> Setting up python-backports (1.0.0squeeze) ...
> Setting up python-greenlet (0.4.1squeeze) ...
> Setting up python-eventlet-0.8 (0.8.11.7squeeze) ...
> Setting up python-msrplib (0.14.4squeeze) ...
> Setting up python-xcaplib (1.0.16squeeze) ...
> Setting up python-sipsimple (0.20.0squeeze) ...
> 
> 
> owenl at debianvm1:~/sipsimpleclient/python-sipsimple/docs$ sudo apt-get install sipclients
> Reading package lists... Done
> Building dependency tree       
> Reading state information... Done
> The following NEW packages will be installed:
>   sipclients
> 0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
> Need to get 0 B/1,141 kB of archives.
> After this operation, 2,736 kB of additional disk space will be used.
> Selecting previously deselected package sipclients.
> (Reading database ... 137843 files and directories currently installed.)
> Unpacking sipclients (from .../sipclients_0.20.0squeeze_all.deb) ...
> Setting up sipclients (0.20.0squeeze) ...
> 
> My Debian version:
> root at debianvm1:/usr/share/pyshared# cat /proc/version
> Linux version 2.6.32-5-amd64 (Debian 2.6.32-45) (dannf at debian.org) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Sun May 6 04:00:17 UTC 2012
> 
> Any help appreciated,
> Owen Lynch
> _______________________________________________
> SIPBeyondVoIP mailing list
> SIPBeyondVoIP at lists.ag-projects.com
> http://lists.ag-projects.com/mailman/listinfo/sipbeyondvoip

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ag-projects.com/pipermail/sipbeyondvoip/attachments/20120907/a381b9ce/attachment.html>


More information about the SIPBeyondVoIP mailing list